Skip to main content
GET
Get an API key's usage

Authorizations

Authorization
string
header
required

A management key (created from the organization dashboard or with POST /v3/manage/auth-keys), sent as Authorization: Bearer <management_key>. Inference API keys (sk-eden...) are not accepted on these endpoints.

Path Parameters

key_id
string<uuid>
required

Query Parameters

begin
string<date>

First day of the window (inclusive). Provide both begin and end, or neither to get the last 7 days.

end
string<date>

Day after the last day of the window (exclusive). The window may not exceed 366 days.

feature
string

Only count this feature.

Minimum string length: 1
phase
string

Only count this phase.

Minimum string length: 1
provider
string

Only count this provider.

Minimum string length: 1
step
integer
required

Granularity of the time series: 1 = day, 2 = week, 3 = month, 4 = year.

Required range: 1 <= x <= 4
subfeature
string

Only count this subfeature.

Minimum string length: 1

Response

200 - application/json

Usage of one API key as a time series.

usage
TokenData · object[]
required